Skip to main content
`Ctrl`+`K`

# SVDGetDS

Obtain the direct solver object associated to the singular value solver object.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetDS(SVD svd,DS *ds)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- ds - direct solver context

## See Also

SVD: Singular Value Decomposition, `SVDSetDS()`

## Level

advanced

## Location

src/svd/interface/svdbasic.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages